@echo off
echo Q5一键root工具，不确定Q2/Q4能不能用，by plmworld……
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
set /p var=请输入海美迪Q5的IP地址（例如：192.168.0.6）：
echo 开始连接……
adb connect %var%:5555
adb root
adb remount
adb push su /system/bin
adb push Superuser.apk /system/app
adb shell chmod 4755 /system/bin/su
echo 重启海美迪Q5，等启动完就就是root了，这个批处理可以关了……
adb shell reboot